<?php
function smarty_function_list_path($params,$smarty) {
	$category_id = isset($params['category_id']) ? ($params['category_id'] ? 'category'.$params['category_id'].'/' : '')
	 : ($_GET['category_id'] ? 'category'.$_GET['category_id'].'/' : '');

	$sort = isset($params['sort']) ? ($params['sort'] ? $params['sort'].'/' : '')
	 : ($_GET['sort'] ? $_GET['sort'].'/' : '');

	$order = isset($params['order']) ? ($params['order'] ? $params['order'].'/' : '')
	 : ($_GET['order'] ? $_GET['order'].'/' : '');

	$path = "$category_id$sort$order";
	return $path;
}
?>
